# DataExchange
TKIGES
IGESGeom

# IGESGeom_Line Class Reference

defines IGESLine, Type <110> Form <0>
in package IGESGeom
A line is a bounded, connected portion of a parent straight
line which consists of more than one point. A line is
defined by its end points.
From IGES-5.3, two other Forms are admitted (same params) :
0 remains for standard limited line (the default)
1 for semi-infinite line (End is just a passing point)
2 for full infinite Line (both Start and End are abitrary)

`#include <IGESGeom_Line.hxx>`

Inheritance diagram for IGESGeom_Line:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_Line ()
Standard_EXPORT void | Init (const gp_XYZ &aStart, const gp_XYZ &anEnd)
| This method is used to set the fields of the class Line - aStart : Start point of the line - anEnd : End point of the line .
Standard_EXPORT Standard_Integer | Infinite () const
| Returns the Infinite status i.e. the Form Number : 0 1 2 .
Standard_EXPORT void | SetInfinite (const Standard_Integer status)
| Sets the Infinite status Does nothing if <status> is not 0 1 or 2 .
Standard_EXPORT gp_Pnt | StartPoint () const
| returns the start point of the line
Standard_EXPORT gp_Pnt | TransformedStartPoint () const
| returns the start point of the line after applying Transf. Matrix
Standard_EXPORT gp_Pnt | EndPoint () const
| returns the end point of the line
Standard_EXPORT gp_Pnt | TransformedEndPoint () const
| returns the end point of the line after applying Transf. Matrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theStart
gp_XYZ | theEnd

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Line::IGESGeom_Line | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt IGESGeom_Line::EndPoint | ( |  | ) | const

Standard_EXPORT const IGESGeom_Line::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Integer IGESGeom_Line::Infinite | ( |  | ) | const

Standard_EXPORT void IGESGeom_Line::Init | ( | const gp_XYZ & | aStart,
|  | const gp_XYZ & | anEnd
| ) |

Standard_EXPORT void IGESGeom_Line::SetInfinite | ( | const Standard_Integer | status | ) |

Standard_EXPORT gp_Pnt IGESGeom_Line::StartPoint | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_Line::TransformedEndPoint | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_Line::TransformedStartPoint | ( |  | ) | const

## Field Documentation

gp_XYZ IGESGeom_Line::theEnd `[private]`

gp_XYZ IGESGeom_Line::theStart `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Line.hxx